smtp gmail configuration is not working for redmine set up 

2024-01-31 10:04 - saahil kambale

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

we have the below configuration on Redmine setup:-

Environment:

Redmine version                5.1.1.stable

Ruby version                   3.0.2-p107 (2021-07-07) [x86_64-linux-gnu]

Rails version                  6.1.7.6

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Default

SCM:

Git                            2.34.1

Filesystem

Redmine plugins:

no plugin installed ################################################################################

production:

email_delivery:

delivery_method: smtp

smtp_settings:

enable_starttls_auto: true

address: "smtp.gmail.com"

port: 587

domain: "smtp.gmail.com" # or your domain

authentication: plain

user_name: "*********" # replace with your Gmail email address

password: "*********" # replace with your Gmail password or app-specific password

If you are experiencing issues where Redmine shows that emails are sent to other Gmail addresses but the emails are not visible in

the recipient's Gmail account,

History

#1 - 2024-01-31 10:06 - saahil kambale

below, we attached a screenshot for your Reference.

Everything is working well except when I try to add the email for Redmine, can anyone please send a link or a guide on how to set up the email we

are using Office 365 to be used as a relay not a shared mailbox but a regular mailbox.

Thank you

#2 - 2024-01-31 13:20 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forums for asking questions. The Issues page is for reporting bugs, suggesting new features, or submitting patches. It may be helpful for

you to read the How to request help.

2025-05-03 1/2

www.redmine.org/projects/redmine/boards
http://www.redmine.org/boards/2/topics/667


#3 - 2024-01-31 13:27 - saahil kambale

I don't understand what you are trying to say. our redmine is not set for SMTP Gmail or office365 setup what would we do

#4 - 2024-01-31 13:47 - Go MAEDA

For questions on how to set up and how to use Redmine, please use the forum.

https://www.redmine.org/projects/redmine/boards
